/*
 * kanji.c --- シーザー暗号 (英小文字のみ換える)
 *  cc -o kanji kanji.c
 *  cat kanji.c | ./kanji.out 1
 */

#include <stdio.h>  // printf(), fgets(), stdin
#include <stdlib.h> // atoi() のため

int main(int argc, char **argv)
{
  int key, i, c;
  char ANGOU[256];
  // key を決める
  if (argc == 1) {
    printf("usage: %s キー\n", argv[0]);
    exit(0);
  }
  else
    key = atoi(argv[1]);
  // 換字表を作る
  for (i = 0; i <= 255; i++)
      ANGOU[i] = i;
  for (i = 0; i <= 255; i++) {
    if (i >= 'a' && i <= 'z') {
      ANGOU[i] = 'a' + (i - 'a' + key) % 26;
    }
  }
  while ((c = getchar()) != EOF)
    putchar(ANGOU[c]);
  return 0;
}
